/*
 *      lark-core.h
 *
 *      Copyright 2016-2018 Alex <alex@linuxonly.ru>
 *
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LARK_CORE_H
#define LARK_CORE_H

#include <gtk/gtk.h>

#include "lark-gstreamer.h"
#include "lark-rhvoice.h"
#include "lark-espeak.h"

G_BEGIN_DECLS

#define LARK_TYPE_CORE (lark_core_get_type ())

G_DECLARE_FINAL_TYPE (LarkCore, lark_core, LARK, CORE, GObject)

guint lark_core_get_queue_max_bytes(LarkCore *self);
guint lark_core_get_queue_min_bytes(LarkCore *self);

void lark_core_start(LarkCore *self, gboolean isexport);
void lark_core_stop(LarkCore *self);

LarkCore *lark_core_new(LarkGstreamer *gstreamer, LarkRHVoice *rhvoice, LarkEspeak *espeak, GSettings *prefsettings, GSettings *eqsettings, GSettings *expsettings);

G_END_DECLS

#endif /* LARK_CORE */
